---
title: Delete Address Map
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Addressing](https://developers.cloudflare.com/api/go/resources/addressing)

[Address Maps](https://developers.cloudflare.com/api/go/resources/addressing/subresources/address_maps)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Address Map

client.Addressing.AddressMaps.Delete(ctx, addressMapID, body) (\*[AddressMapDeleteResponse](<https://developers.cloudflare.com/api/go/resources/addressing#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)>), error)

DELETE/accounts/{account\_id}/addressing/address\_maps/{address\_map\_id}

Delete a particular address map owned by the account. An Address Map must be disabled before it can be deleted.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Address Maps Write`

##### ParametersExpand Collapse

addressMapID string

Identifier of an Address Map.

maxLength32

[Link to this property](<#(resource)%20addressing.address_maps%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20address_map_id%20%3E%20(schema)>)

<details>

<summary>

body AddressMapDeleteParams

</summary>

AccountID param.Field\[string]

Identifier of a Cloudflare account.

maxLength32

<a href="#(resource)%20addressing.address_maps%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20addressing.address_maps%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type AddressMapDeleteResponse struct{…}

</summary>

<details>

<summary>

Errors \[]AddressMapDeleteResponseError

</summary>

Code int64

minimum1000

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

Message string

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

DocumentationURL stringOptional

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

Source AddressMapDeleteResponseErrorsSourceOptional

</summary>

Pointer stringOptional

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20source">Link to this property</a>

</details>

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20errors">Link to this property</a>

<details>

<summary>

Messages \[]AddressMapDeleteResponseMessage

</summary>

Code int64

minimum1000

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

Message string

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

DocumentationURL stringOptional

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

Source AddressMapDeleteResponseMessagesSourceOptional

</summary>

Pointer stringOptional

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20source">Link to this property</a>

</details>

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20messages">Link to this property</a>

Success AddressMapDeleteResponseSuccess

Whether the API call was successful.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

<details>

<summary>

ResultInfo AddressMapDeleteResponseResultInfoOptional

</summary>

Count float64Optional

Total number of results for the requested service.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20result_info%20%3E%20(property)%20count">Link to this property</a>

Page float64Optional

Current page within paginated list of results.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20result_info%20%3E%20(property)%20page">Link to this property</a>

PerPage float64Optional

Number of results per page of results.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20result_info%20%3E%20(property)%20per_page">Link to this property</a>

TotalCount float64Optional

Total results available without any search parameters.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20result_info%20%3E%20(property)%20total_count">Link to this property</a>

TotalPages float64Optional

The number of total pages in the entire result set.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20result_info%20%3E%20(property)%20total_pages">Link to this property</a>

</details>

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20result_info">Link to this property</a>

</details>

[Link to this property](<#(resource)%20addressing.address_maps%20%3E%20(model)%20AddressMapDeleteResponse%20%3E%20(schema)>)

### Delete Address Map

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/addressing"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  addressMap, err := client.Addressing.AddressMaps.Delete(
    context.TODO(),
    "055817b111884e0227e1be16a0be6ee0",
    addressing.AddressMapDeleteParams{
      AccountID: cloudflare.F("258def64c72dae45f3e4c8516e2111f2"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", addressMap.Errors)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```